package de.tu_darmstadt.tk.SmartHomeNetworkSim.view.popups;

import java.awt.Rectangle;

import javax.swing.JFrame;

import de.tu_darmstadt.tk.SmartHomeNetworkSim.control.Controller;


/**
 * Frame which contains the Network Tree
 *
 * @author Andreas T. Meyer-Berg
 */
public class NetworkTreeWindow extends JFrame {

	/**
	 * Serial Version number
	 */
	private static final long serialVersionUID = -4052775416023427170L;

	/**
	 * Frame which contains the Network Tree
	 * @param controller controller which should be used to get & edit the Model
	 */
	public NetworkTreeWindow(Controller controller) {
		setBounds(new Rectangle(0, 0, 800, 600));
		setResizable(true);
		this.setContentPane(new NetworkTreePanel(controller,this));
	}
}
